diff --git a/buglist b/buglist
index c87189b..af22d96 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7274: 
+bug 7275: 
 todo 337:
 wish 1012:
 meh 5:
@@ -12,6 +12,14 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7274: Hyperdoc failed 
+
+Browse -> "Integer" -> IntegerNumberSystem
+
+   >> System error:
+   Caught fatal error [memory may be damaged]
+
+=========================================================================
 todo 336: getdatabase should handle special forms
 
 This code should not exist. Fix getdatabase to return the right answer.
diff --git a/changelog b/changelog
index 32215fc..b5b534a 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,8 @@
+20141228 tpd src/axiom-website/patches.html 20141228.03.tpd.patch
+20141228 tpd buglist: bug 7274: Hyperdoc failed 
+20141228 tpd src/axiom-website/patches.html 20141228.02.tpd.patch
+20141228 tpd git add books/bookvol5 add additional functions
+20141228 tpd git add books/bookvol9 add additional functions
 20141228 tpd src/axiom-website/patches.html 20141228.01.tpd.patch
 20141228 tpd src/axiom-website/videos.html add LP in the Large video
 20141227 tpd src/axiom-website/patches.html 20141227.01.tpd.patch
diff --git a/patch b/patch
index ca7ed09..6275c34 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,5 @@
-src/axiom-website/videos.html add Literate Programming in the Large video
+buglist: bug 7274: Hyperdoc failed 
+
+Hyperdoc failed while trying to follow the constructor path
+from Integer to IntegerNumberSystem.
 
-Make a downloadable copy of the video available.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index b95ecd8..a27b2f7 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4854,6 +4854,10 @@ books/bookvolbib add Martxx and Andr00<br/>
 books/bookvol5 books/bookvol9 add missing functions<br/>
 <a href="patches/20141228.01.tpd.patch">20141228.01.tpd.patch</a>
 src/axiom-website/videos.html add LP in the Large video<br/>
+<a href="patches/20141228.02.tpd.patch">20141228.02.tpd.patch</a>
+git add books/bookvol5, bookvol9 add additional functions<br/>
+<a href="patches/20141228.03.tpd.patch">20141228.03.tpd.patch</a>
+buglist: bug 7274: Hyperdoc failed 
  </body>
 </html>
 
